Subject: bug#69463: 29.2; Isearch help icon has inconsistent size

From: Sergio Callegari <[email-masked]>
Date: Sun, 3 Mar 2024 13:08:46 +0100

Can you please help me understand the way in which it is "system dependent"?

Where are the I-search toolbar icons sought on the system? Is it emacs 
installing them or are they supposed to be system or theme provided icons?

Thanks,

Sergio Callegari

On 29/02/2024 18:42, Juri Linkov wrote:
>> When you press CTRL+s, I-search is activated, that provides a custom
>> toolbar with dedicated icons and lets one enter what to search in the
>> mode line.
>>
>> Unfortunately, in the toolbar there is a help icon, shaped as a life
>> buoy, that is too big or at least inconsistently big wrt the other icons.
>> As a consequence, when I-search is activated the emacs windows
>> becomes bigger to accomodate space for the taller toolbar.
>>
>> Not only having the window changing its size causes some inconvenience
>> because the text you are trying to focus on moves up and down. There is
>> a major problem if the emacs window is already vertically maximized
>> before you start searching. In fact, in this case there is no space for
>> the window to grow. As a consequence, the mode line goes out of the
>> screen and you cannot use it to search!
> This behavior is system-dependent.  For example,
> I can't reproduce it on these configurations:
>
> GNU Emacs 29.1.90 (build 1, x86_64-pc-linux-gnu,
> cairo version 1.16.0)
>
> GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit,
> cairo version 1.16.0, Xaw3d scroll bars)
>
> GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
> cairo version 1.16.0)
>
> Strange, the last is similar to your configuration:
>
>> In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.40,
>> cairo version 1.18.0)